Bug 71455 - Bootloader unable to boot after restart
Bootloader unable to boot after restart
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-08-13 16:19 EDT by Jonathan Hodges
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-14 15:29:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Hodges 2002-08-13 16:19:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 95)

Description of problem:
The installer automatically disables LBA32 even when installing /boot past 1024 
cylinders, which makes the OS non-bootable (when default value is used).  In 
previous versions (7.2) this is not a problem and the installer seems to 
configure itself appropriately.  The help item for LBA32 makes it seem 
unnecessary to install.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. New install (from CD or other source)
2. Autopartition the drive (with large partition at beginning of drive that 
will be left intact)
3. /boot will be installed beyond 1024 cylinders (warning given)
4. LBA32 is not checked by default
5. Complete install
6. System will not boot to that partition (either from bootloader on mbr or 
from bootfloppy)
7. linux rescue from cd will find the redhat installation

Actual Results:  Upon reboot the redhat installation will not boot (can't 
find /boot beyond 1024 cylinders without LBA32 enabled).  Cannot boot from 
floppy disk (created during install process) either. linux rescue from cd will 
find the redhat installation.

Expected Results:  LBA32 should be checked by default when /boot is beyond 1024 
cylinders so system will boot by default -- this seems to be the case in redhat 

Additional info:
Comment 1 Jeremy Katz 2002-08-14 17:55:37 EDT
Unfortunately, some BIOSes are buggy and don't properly support the LBA32 probe.
 That's why we have the checkbox to force it if you need to do so.

Note You need to log in before you can comment on or make changes to this bug.